From ea3b02295fd431095b95ab319ff3034e038c83fa Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Fri, 29 Dec 2017 18:43:00 -0300
Subject: [PATCH v1 3/4] on conflict do update not supported

---
 src/backend/parser/analyze.c | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/src/backend/parser/analyze.c b/src/backend/parser/analyze.c
index d680d2285c..d8091a1435 100644
--- a/src/backend/parser/analyze.c
+++ b/src/backend/parser/analyze.c
@@ -1017,6 +1017,13 @@ transformOnConflictClause(ParseState *pstate,
 		TargetEntry *te;
 		int			attno;
 
+		if (targetrel->rd_partdesc)
+			ereport(ERROR,
+					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
+					 errmsg("%s cannot be applied to partitioned table \"%s\"",
+							"ON CONFLICT DO UPDATE",
+							RelationGetRelationName(targetrel))));
+
 		/*
 		 * All INSERT expressions have been parsed, get ready for potentially
 		 * existing SET statements that need to be processed like an UPDATE.
-- 
2.11.0

